import 'package:flutter/material.dart';
import 'dart:async';
import 'package:flutter_teachstack_sdk/flutter_teachstack_sdk.dart';

void main() {
  runApp(const MyApp());
}

class MyApp extends StatefulWidget {
  const MyApp({Key? key}) : super(key: key);

  @override
  State<MyApp> createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {
  @override
  void initState() {
    super.initState();
    initPlatformState();
  }

  Future<void> initPlatformState() async {
    await FlutterTeachstackSdk.liveClass(
        "https://video.teachmint.com/videoroom/videodemo::ModernFamily/phil/eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJyb29tX2lkIjoidmlkZW9kZW1vOjpNb2Rlcm5GYW1pbHkiLCJ1aWQiOiJwaGlsIiwidW5hbWUiOiJQaGlsIER1bnBoeSIsInV0eXBlIjoxLCJleHAiOjE2NTk0MDY2MTl9.f_u1aCLxf-OeB3aBhNPYzyx7lSMPyJY0euv6c67oTPc");
  }

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      home: Scaffold(
        appBar: AppBar(
          title: const Text('Teachstack SDK'),
        ),
        body: const Center(
          child: Text('Live Classroom'),
        ),
      ),
    );
  }
}
